<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:atom="http://www.w3.org/2005/Atom"
>

 <xsl:template match="/">
  <xsl:apply-templates select="atom:feed"/>
 </xsl:template>

 <xsl:template match="atom:feed">
  <html>
   <body>

    <h1><xsl:value-of select="atom:title"/></h1>

    <ul>
     <xsl:apply-templates select="atom:entry"/>
    </ul>

   <hr />
   Last Update: <xsl:value-of select="atom:updated"/><br />
   Publisher: <xsl:value-of select="atom:author/atom:name"/><br />

   </body>
  </html>
 </xsl:template>

 <xsl:template match="atom:entry">
  <li>
    <xsl:choose>
      <xsl:when test="atom:link[@href='http://jvnrss.ise.chuo-u.ac.jp/jtg/demo/element.html#atom_link']">LEVEL2</xsl:when>
    </xsl:choose>
    <a><xsl:attribute name="href"><xsl:value-of select="atom:link/@href"/></xsl:attribute><xsl:value-of select="atom:title"/></a>
  </li>
 </xsl:template>

</xsl:stylesheet>
