<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:rss="http://purl.org/rss/1.0/"
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  exclude-result-prefixes="rdf rss dc"
>

 <xsl:template match="/">
  <xsl:apply-templates select="rdf:RDF"/>
 </xsl:template>

 <xsl:template match="rdf:RDF">
  <html>
   <body>
   <xsl:apply-templates select="rss:channel"/>
    <h1><xsl:value-of select="rss:channel/rss:title"/></h1>

    <ul>
     <xsl:apply-templates select="rss:item"/>
    </ul>

   <hr />
   Last Update: <xsl:value-of select="rss:channel/dc:date"/><br />
   Publisher: <xsl:value-of select="rss:channel/dc:publisher"/><br />

   </body>
  </html>
 </xsl:template>

 <xsl:template match="rss:channel">
  <head>
   <title><xsl:value-of select="rss:title"/></title>
  </head>
 </xsl:template>

 <xsl:template match="rss:item">
  <li>
    <xsl:choose>
      <xsl:when test="rss:link='http://jvnrss.ise.chuo-u.ac.jp/jtg/demo/element.html#rdf_link'">LEVEL2</xsl:when>
    </xsl:choose>
    <a><xsl:attribute name="href"><xsl:value-of select="rss:link"/></xsl:attribute><xsl:value-of select="rss:title"/></a>
  </li>
 </xsl:template>

</xsl:stylesheet>
